/* Drop Tables */
drop table if exists EMP;

/* Drop Sequences */
drop sequence if exists SQ_SEC_USER;

/* Create Sequences */
create sequence SQ_SEC_USER increment 1 minvalue 1 maxvalue 9223372036854775807 start 1 cache 1;

/* Create Tables */
create table EMP
(
    EMPNO       numeric not null,
    ENAME       varchar(10),
    JOB         varchar(9),
    MGR         numeric,
    HIREDATE    timestamp,
    SAL         numeric,
    COMM        numeric,
    DEPTNO      numeric,
    primary key (EMPNO)
);

insert into EMP values(7782,'CLARK','MANAGER',7839,to_timestamp('1981-06-09 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),2450,NULL,10);
insert into EMP values(7839,'KING','PRESIDENT',NULL,to_timestamp('1981-11-17 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),5000,NULL,10);
insert into EMP values(7934,'MILLER','CLERK',7782,to_timestamp('1982-01-23 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),1300,NULL,10);
insert into EMP values(7369,'SMITH','CLERK',7902,to_timestamp('1980-12-17 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),800,NULL,20);
insert into EMP values(7566,'JONES','MANAGER',7839,to_timestamp('1981-04-02 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),2975,NULL,20);
insert into EMP values(7788,'SCOTT','ANALYST',7566,to_timestamp('1987-07-13 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),3000,NULL,20);
insert into EMP values(7876,'ADAMS','CLERK',7788,to_timestamp('1987-07-13 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),1100,NULL,20);
insert into EMP values(7902,'FORD','ANALYST',7566,to_timestamp('1981-12-03 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),3000,NULL,20);
insert into EMP values(7499,'ALLEN','SALESMAN',7698,to_timestamp('1981-02-20 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),1600,300,30);
insert into EMP values(7521,'WARD','SALESMAN',7698,to_timestamp('1981-02-22 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),1250,500,30);
insert into EMP values(7654,'MARTIN','SALESMAN',7698,to_timestamp('1981-09-28 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),1250,1400,30);
insert into EMP values(7698,'BLAKE','MANAGER',7839,to_timestamp('1981-05-01 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),2850,NULL,30);
insert into EMP values(7844,'TURNER','SALESMAN',7698,to_timestamp('1981-09-08 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),1500,0,30);
insert into EMP values(7900,'JAMES','CLERK',7698,to_timestamp('1981-12-03 00:00:00', 'YYYY-MM-DD HH24:MI:SS'),950,NULL,30);